PUT/clientes/:tk/restablecer
Permite recuperar y reclamar un cliente descartado.
Parámetros
| Nombre | Tipo | Validación | Descripción |
|---|
tkCliente | UUID | Requerido | Código token que corresponde a un cliente registrado en el sistema, previamente descartado, el cual se requiere recuperar. |
reclamar | Integer | Requerido | Reclama y asigna un cliente descartado al ejecutivo actual. |
tk | UUID | Requerido | Código token que identifica de forma única al parámetro de ruta tk. |
Respuesta
| Nombre | Tipo | Descripción |
|---|
code | Integer | Proporciona un código de verificación como respuesta. |
msg | String | Proporciona un mensaje descriptivo o razón dependiendo el resultado. |
Solicitud
curl --request PUT 'https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{"reclamar":1}'const response=await fetch('https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer',{method:'PUT',headers:{token:'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'},body:JSON.stringify({"reclamar":1})});
console.log(await response.json());const response=await fetch('https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer',{method:'PUT',headers:{token:'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'},body:JSON.stringify({"reclamar":1})});
console.log(await response.json());import requests
response=requests.put('https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer',headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'},json={"reclamar":1})
print(response.json())package main
import("bytes";"fmt";"io";"net/http")
func main(){req,_:=http.NewRequest("PUT","https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer",bytes.NewBufferString("{\n \"reclamar\": 1\n}"));req.Header.Set("token","00000000-0000-4000-8000-000000000001") ;req.Header.Set("Content-Type","application/json");res,_:=http.DefaultClient.Do(req);defer res.Body.Close();data,_:=io.ReadAll(res.Body);fmt.Println(string(data))}using System.Net.Http;using System.Text;using var client=new HttpClient();client.DefaultRequestHeaders.Add("token","00000000-0000-4000-8000-000000000001");using var content=new StringContent("{\n \"reclamar\": 1\n}",Encoding.UTF8,"application/json");var response=await client.PutAsync("https://api.upnify.com/v4/clientes/00000000-0000-4000-8000-000000000010/restablecer",content);Console.WriteLine(await response.Content.ReadAsStringAsync());
Respuesta
{
"code": 0,
"msg": "Ok"
}